Loading...
Searching...
No Matches
OFStackLink< T > Struct Template Reference

template class used to store stack entries. More...

Inheritance diagram for OFStackLink< T >:

## Public Member Functions

| OFStackLink (const T &i)
| constructor
virtual | ~OFStackLink ()
| destructor
Public Member Functions inherited from OFStackLinkBase
| OFStackLinkBase ()
| default constructor
virtual | ~OFStackLinkBase ()
| destructor

## Public Attributes

T | info
| element on stack
Public Attributes inherited from OFStackLinkBase
OFStackLinkBase * | next
| pointer to next entry in list

## Private Member Functions

| OFStackLink (const OFStackLink< T > &)
| private undefined copy constructor
OFStackLink< T > & | operator= (const OFStackLink< T > &)
| private undefined copy assignment operator

## Detailed Description

template<class T>
struct OFStackLink< T >

template class used to store stack entries.

Implicitly used by OFStack, should not be called by users.

## Constructor & Destructor Documentation

## OFStackLink()

template<class T>

OFStackLink< T >::OFStackLink | ( | const T & | i | ) |

inline

constructor

Parameters

  i | element maintain by this object

References OFStackLinkBase::OFStackLinkBase(), and info.

Referenced by OFStackLink(), and operator=().

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofstack.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0